post
https://www.virustotal.com/api/v3/private/files//analyse
Special privileges requiredPrivate Scanning is only available to users with the Google Threat Intelligence Enterprise or Enterprise Plus licenses.
Reanalyses a private file. The same params from /files (other than the file) are accepted. Returns a private analysis.
{
"data": {
"type": "private_analysis",
"id": "ZmI5Y2VmNGJmZDIwZTkzNmQ5MzY0NTcwMGI2Nzc2M2Q6Tm9uZToxNjYwODI1NDE1"
}
}Rescanning Password-Protected Files
When rescanning a password-protected archive or encrypted document, pass the optional password query parameter (a UTF-8 string up to 128 characters). Google TI uses the password to extract bundled inner files into bundled_files and analyze the sample in supported private dynamic analysis sandboxes:
curl --request POST \
--url "https://www.virustotal.com/api/v3/private/files/{sha256}/analyse?password=infected" \
--header "x-apikey: YOUR_API_KEY" \
--header "accept: application/json"